Name:			ajantv2
Version:		2.17.1.0
Release:		%autorelease
Summary:		Open-source library for AJA Video Systems desktop IO cards.
License:		MIT
URL:			https://github.com/aja-video/lib%{name}

Source0:		%{url}/archive/refs/tags/ntv%(echo %{version} | tr '.' '_').tar.gz
Patch:			0001-Unbundle-mbedtls.patch

BuildRequires:	gcc-c++
BuildRequires:	cmake >= 3.15
BuildRequires:	perl
BuildRequires:	systemd-devel
BuildRequires:	mbedtls-devel

%description
SDK for discovering, interrogating and controlling NTV2 professional video I/O devices from AJA Video Systems, Inc. All code herein is licensed under the MIT license.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%package        -n dkms-%{name}
Summary:        %{name} kernel module
Requires:       %{name}%{?_isa} = %{version}-%{release}
BuildRequires:	kernel-devel
BuildRequires:	dkms

%description    -n dkms-%{name}
%{name} DKMS kernel module for AJA Video Systems.

%prep
%autosetup -p1 -n lib%{name}-ntv%(echo %{version} | tr '.' '_')

%build
%cmake \
	-DAJANTV2_DISABLE_PLUGIN_LOAD=OFF \
	-DAJANTV2_DISABLE_DRIVER=OFF \
	-DAJANTV2_DISABLE_DEMOS=ON \
	-DAJANTV2_DISABLE_TOOLS=ON \
	-DAJANTV2_DISABLE_TESTS=OFF \
	-DAJANTV2_BUILD_SHARED=ON \
	-DAJANTV2_BUILD_OPENSOURCE=ON \
	-DAJA_INSTALL_HEADERS=ON \
	-DAJA_INSTALL_CMAKE=ON \
	-DAJA_INSTALL_MISC=OFF \
	-DAJA_DISABLE_QT=ON \
	-DAJA_DISABLE_AMD=OFF \
	-DAJA_DISABLE_NVIDIA=OFF \
%cmake_build

%install
%cmake_install

cp -rf %{buildroot}/usr/lib%{name}/* %{buildroot}%{_includedir}/lib%{name}
rm -r %{buildroot}/usr/lib%{name}

%post -n dkms-%{name}
dkms add -m %{name} -v %{version} -q || :
dkms build -m %{name} -v %{version} -q || :
dkms install -m %{name} -v %{version} -q --force || :

%preun -n dkms-%{name}
dkms remove -m %{name} -v %{version} -q --all || :


%files
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/lib%{name}
%{_libdir}/cmake/%{name}
%{_libdir}/lib%{name}.so


%changelog
%autochangelog
